Imports IntraSell_DLL

Public Class AdressenVerknuepfungen

    Dim _IDNR As Integer

    Property IDNR As Integer
        Get
            Return _IDNR
        End Get
        Set(value As Integer)
            _IDNR = value
        End Set
    End Property

    Private Sub AdressenVerknuepungen_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub

    Public Sub LoadData()
        Dim sql = "select IDNR, trim(concat('' + IDNR, ' ', Ifnull(Firma,''), ' ', ifnull(Name,''), ' ' , ifnull(Vorname,''))) as Adresse from ofAdressen where nextIDNR = " & _IDNR
        FillComboBox(ListBoxAdressen, sql, "Adresse", "IDNR")
    End Sub

    Private Sub ListBoxAdressen_MouseDoubleClick(sender As Object, e As MouseEventArgs) Handles ListBoxAdressen.MouseDoubleClick
        Try
            OeffneKundenMaske(ListBoxAdressen.SelectedValue, True)
        Catch ex As Exception
            HandleAppError(ex, Silent:=True)
        End Try
    End Sub
End Class
